View Issue Details

IDProjectCategoryView StatusLast Update
0002257ScribusImport / Exportpublic2005-12-22 13:27
Reporterale Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.1cvs 
Target VersionFixed in Version1.3.2cvs 
Summary0002257: Importing svg leads to crash
Descriptionimporting the svg logo sent by ludi to the mailing list in a frame leads to a crash.

scribus imports correctly the logo if no document is open, but not if a document already exists.

link to the logo:
http://nashi.altmuehlnet.de/pipermail/scribus/attachments/20050717/c366ceaf/Scribus_devel-logo_0.1.svg.tar-0001.bin

everything is ok with the scribus 1.2 installed here
Steps To ReproduceLaunch Scribus
Create a new blank document
File->Import->SVG Image
Select Scribus_devel-logo_0.1.svg and ok

Scribus will nearly instantly process the file and display a cursor for the user to place it on the canvas. As soon as the object is placed, the app crashes.
Additional Informationcomments by ringerc:
11:36 <@ringerc> yep, got the segfault here
11:36 <@ringerc> looks like it imports fine but creates the object on the page
                 wrong, so it breaks when it tries to draw
11:44 <@ringerc> yep ... and that it crashes in ScriXmlDoc::GetItemText
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

ringerc

2005-07-17 08:08

reporter   ~0005618

1 0x081e8df7 in QPtrList<ScText>::append (this=0x270, d=0x97ca580) at /usr/lib/qt-3.3/include/qptrlist.h:82
2 0x083fa893 in ScriXmlDoc::GetItemText (this=0x9b9f090, it=0xbf9184e0, doc=0x997e7a8, VorLFound=true, impo=false, docreading=true, obj=0x0)
    at scribusXml.cpp:210
3 0x083ffe2c in ScriXmlDoc::ReadElem (this=0x9b9f090, fileName=@0xbf9188f8, avail=@0x94999d0, doc=0x997e7a8, Xp=141, Yp=76, Fi=false, loc=false,
    FontSub=@0x9499d00, view=0x98f1750) at scribusXml.cpp:2178
4 0x08506b36 in ScribusApp::slotElemRead (this=0x93fe718, Name=@0xbf9189a0, x=141, y=76, art=false, loca=false, docc=0x997e7a8, vie=0x98f1750)
    at scribus.cpp:8923
5 0x0852c30b in ScribusApp::qt_invoke (this=0x93fe718, _id=216, _o=0xbf918a44) at scribus.moc:1065
6 0x01275db4 in QObject::activate_signal (this=0x98f1750, clist=0x9ad13b8, o=0xbf918a44) at kernel/qobject.cpp:2355
7 0x08393dd3 in ScribusView::LoadElem (this=0x98f1750, t0=@0xbf918bac, t1=141, t2=76, t3=false, t4=false, t5=0x997e7a8, t6=0x98f1750)
    at scribusview.moc:1028
8 0x083acbeb in ScribusView::contentsDropEvent (this=0x98f1750, e=0xbf918efc) at scribusview.cpp:1051
9 0x01399bbb in QScrollView::viewportDropEvent (this=0x98f1750, e=0xbf918efc) at widgets/qscrollview.cpp:1843
10 0x0139ac1a in QScrollView::eventFilter (this=0x98f1750, obj=0x98f1128, e=0xbf918efc) at widgets/qscrollview.cpp:1540
11 0x0127583c in QObject::activate_filters (this=0x98f1128, e=0xbf918efc) at kernel/qobject.cpp:902
12 0x012758b1 in QObject::event (this=0x98f1128, e=0xbf918efc) at kernel/qobject.cpp:735
13 0x012b3dac in QWidget::event (this=0x98f1128, e=0xbf918efc) at kernel/qwidget.cpp:4675
14 0x0121108d in QApplication::internalNotify (this=0x270, receiver=0x98f1128, e=0xbf918efc) at kernel/qapplication.cpp:2635
15 0x012119e6 in QApplication::notify (this=0xbf91b5dc, receiver=0x98f1128, e=0xbf918efc) at kernel/qapplication.cpp:2523
16 0x011b6eb5 in qt_handle_xdnd_drop (xe=0xbf918f5c, passive=false) at kernel/qapplication.h:515
17 0x011b7139 in QDragManager::drop (this=0x9ad2688) at kernel/qdnd_x11.cpp:1295
18 0x011b9414 in QDragManager::eventFilter (this=0x9ad2688, o=0x9aaeca8, e=0xbf919284) at kernel/qdnd_x11.cpp:886
19 0x0121104e in QApplication::internalNotify (this=0x270, receiver=0x9aaeca8, e=0xbf919284) at kernel/qapplication.cpp:2568
20 0x01211fef in QApplication::notify (this=0xbf91b5dc, receiver=0x9aaeca8, e=0xbf919284) at kernel/qapplication.cpp:2421
21 0x011a8706 in QETWidget::translateMouseEvent (this=0x9aaeca8, event=0xbf919548) at kernel/qapplication.h:518
22 0x011a6eb3 in QApplication::x11ProcessEvent (this=0xbf91b5dc, event=0xbf919548) at kernel/qapplication_x11.cpp:3472
23 0x011bafc8 in QEventLoop::processEvents (this=0x93ed548, flags=Variable "flags" is not available.
) at kernel/qeventloop_x11.cpp:192
24 0x0122974b in QEventLoop::enterLoop (this=0x93ed548) at kernel/qeventloop.cpp:198
25 0x01210a7f in QApplication::enter_loop (this=0xbf91b5dc) at kernel/qapplication.cpp:2790
26 0x011b9155 in QDragManager::drag (this=0x9ad2688, o=0x9cc5210, mode=624) at kernel/qdnd_x11.cpp:1653
27 0x01220558 in QDragObject::drag (this=0x270, mode=624) at kernel/qdragobject.cpp:547
28 0x012204c7 in QDragObject::drag (this=0x270) at kernel/qdragobject.cpp:469
29 0x004452f6 in SVGPlug::convert (this=0x956ea68) at svgplugin.cpp:277
30 0x004455cb in SVGPlug (this=0x956ea68, plug=0x93fe718, fName=@0xbf91aa44) at svgplugin.cpp:172
31 0x00445a10 in run (d=0x93fe718, plug=0x93fe718) at svgplugin.cpp:123
32 0x08321141 in PluginManager::callDLL (this=0x9463030, pluginID=10) at pluginmanager.cpp:218
33 0x08321308 in PluginManager::callDLLBySlot (this=0x9463030, pluginID=10) at pluginmanager.cpp:181
34 0x0832154a in PluginManager::qt_invoke (this=0x9463030, _id=2, _o=0xbf91abc4) at pluginmanager.moc:87
35 0x01275db4 in QObject::activate_signal (this=0x988e7f0, clist=0x988ea08, o=0xbf91abc4) at kernel/qobject.cpp:2355
36 0x012763e8 in QObject::activate_signal (this=0x988e7f0, signal=4, param=10) at kernel/qobject.cpp:2448
37 0x0837f713 in ScrAction::activatedData (this=0x988e7f0, t0=10) at scraction.moc:128
38 0x0838064e in ScrAction::activatedToActivatedData (this=0x988e7f0) at scraction.cpp:111
39 0x08380950 in ScrAction::qt_invoke (this=0x988e7f0, _id=14, _o=0xbf91acf8) at scraction.moc:205
40 0x01275db4 in QObject::activate_signal (this=0x988e7f0, clist=0x988e958, o=0xbf91acf8) at kernel/qobject.cpp:2355
41 0x01276274 in QObject::activate_signal (this=0x988e7f0, signal=2) at kernel/qobject.cpp:2324
42 0x0160c399 in QAction::activated (this=0x270) at .moc/release-shared-mt/moc_qaction.cpp:150
43 0x013c744f in QAction::internalActivation (this=0x988e7f0) at widgets/qaction.cpp:979
44 0x0160c55d in QAction::qt_invoke (this=0x988e7f0, _id=8, _o=0xbf91ae14) at .moc/release-shared-mt/moc_qaction.cpp:168
45 0x08380994 in ScrAction::qt_invoke (this=0x988e7f0, _id=8, _o=0xbf91ae14) at scraction.moc:208
46 0x01275db4 in QObject::activate_signal (this=0x98c1330, clist=0x98d34d8, o=0xbf91ae14) at kernel/qobject.cpp:2355
47 0x015ea796 in QSignal::signal (this=0x98c1330, t0=@0x270) at .moc/release-shared-mt/moc_qsignal.cpp:100
48 0x01293633 in QSignal::activate (this=0x98c1330) at kernel/qsignal.cpp:212
49 0x0138a582 in QPopupMenu::mouseReleaseEvent (this=0x94eb550, e=0xbf91b244) at widgets/qpopupmenu.cpp:1693
50 0x012b4127 in QWidget::event (this=0x94eb550, e=0xbf91b244) at kernel/qwidget.cpp:4699
51 0x0121108d in QApplication::internalNotify (this=0x270, receiver=0x94eb550, e=0xbf91b244) at kernel/qapplication.cpp:2635
52 0x01211fef in QApplication::notify (this=0xbf91b5dc, receiver=0x94eb550, e=0xbf91b244) at kernel/qapplication.cpp:2421
53 0x011a8b0d in QETWidget::translateMouseEvent (this=0x94eb550, event=0xbf91b508) at kernel/qapplication.h:518
54 0x011a6eb3 in QApplication::x11ProcessEvent (this=0xbf91b5dc, event=0xbf91b508) at kernel/qapplication_x11.cpp:3472
55 0x011bafc8 in QEventLoop::processEvents (this=0x93ed548, flags=Variable "flags" is not available.
) at kernel/qeventloop_x11.cpp:192
56 0x01229732 in QEventLoop::enterLoop (this=0x93ed548) at kernel/qeventloop.cpp:198
57 0x01229656 in QEventLoop::exec (this=0x93ed548) at kernel/qeventloop.cpp:145
58 0x01210a59 in QApplication::exec (this=0xbf91b5dc) at kernel/qapplication.cpp:2758
59 0x08531861 in mainApp (argc=1, argv=0xbf91b6f4) at main.cpp:69
60 0x085318ae in main (argc=1, argv=0xbf91b6f4) at main.cpp:44

plinnell

2005-12-07 23:03

viewer   ~0007666

I think this is fixed. Please test it independently of me.

subik

2005-12-08 20:25

manager   ~0007675

It imports it without any crash - but it's imported wrongly...

Issue History

Date Modified Username Field Change
2005-07-17 07:48 ale New Issue
2005-07-17 08:08 ringerc Note Added: 0005618
2005-07-17 08:08 ringerc Status new => confirmed
2005-07-17 08:09 ringerc Steps to Reproduce Updated
2005-12-07 23:03 plinnell Note Added: 0007666
2005-12-07 23:03 plinnell Status confirmed => feedback
2005-12-07 23:03 plinnell Resolution open => fixed
2005-12-07 23:03 plinnell Fixed in Version => 1.3.2cvs
2005-12-08 20:25 subik Note Added: 0007675
2005-12-09 22:10 cbradney Status feedback => resolved
2005-12-09 22:10 cbradney Assigned To => cbradney
2005-12-22 13:27 cbradney Status resolved => closed
2006-05-17 19:10 christoph_s Relationship added child of 0002931